> This page is for Data API, version v1.
> For other versions, use one of these documentation indexes:
> - v2 (default): https://developers.webflow.com/data/v2.0.0/llms.txt
> - v2 Beta: https://developers.webflow.com/data/v2.0.0-beta/llms.txt
> - v1: https://developers.webflow.com/data/v1.0.0/llms.txt

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developers.webflow.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developers.webflow.com/_mcp/server.

# Update SKU

PATCH https://api.webflow.com/sites/{site_id}/products/{product_id}/skus/{sku_id}
Content-Type: application/json

Updating an existing SKU will set the product type to `Advanced` for the product associated with the SKU. The product type is used to determine which Product and SKU fields are shown to users in the `Designer` and the `Editor`. Setting it to `Advanced` ensures that all Product and SKU fields will be shown. The product type can be edited in the `Designer` or the `Editor`.


Reference: https://developers.webflow.com/data/v1.0.0/reference/ecommerce/products-sk-us/update-sku

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `site_id` (string, required) — Unique identifier for a Site
- `product_id` (string, required) — Unique identifier for a Product
- `sku_id` (string, required) — Unique identifier for a SKU

### Headers

- `Accept-Version` (string, optional) — The API version

### Body (application/json)

This endpoint expects an object.

- `sku` (SKU, optional) — The SKU object

## Response

### 200

Request was successful

- `_id` (string, required) — Unique identifier for collection
- `name` (string, required) — Name given to Collection
- `slug` (string, required) — Slug of Collection in Site URL structure
- `fields` (SKUField, required) — Fields in your SKU object
- `lastUpdated` (string, optional) — The date the collection was last updated
- `createdOn` (string, optional) — The date the collection was create
- `singularName` (string, optional) — The name of one Item in Collection (e.g. “sku” if the Collection is called “SKU”)

## Errors

### 400 Bad Request Error

Request body was incorrectly formatted. Likely invalid JSON being sent up.

- `any`

### 401 Unauthorized Error

Provided access token is invalid or does not have access to requested resource

- `any`

### 404 Not Found Error

Requested resource not found

- `any`

### 429 Too Many Requests Error

The rate limit of the provided access_token has been reached. Please have your application respect the X-RateLimit-Remaining header we include on API responses.

- `any`

### 500 Internal Server Error

We had a problem with our server. Try again later.

- `any`

## Types

### SKU

The SKU object

- `_id` (string, required) — Unique identifier for collection
- `name` (string, required) — Name given to Collection
- `slug` (string, required) — Slug of Collection in Site URL structure
- `fields` (SKUField, required) — Fields in your SKU object
- `lastUpdated` (string, optional) — The date the collection was last updated
- `createdOn` (string, optional) — The date the collection was create
- `singularName` (string, optional) — The name of one Item in Collection (e.g. “sku” if the Collection is called “SKU”)

### SKUField

Fields in your SKU object

- `slug` (string, required, default: post-body) — Slug of the SKU
- `_archived` (boolean, required, default: false) — item archive status
- `_draft` (boolean, required, default: false) — item draft status
- `price` (SkuFieldPrice, required) — price of SKU
- `id` (string, optional) — Unique identifier for the SKU
- `name` (string, optional, default: Cloak Of Invisibility Color: Obsidian Black) — SKU name

### SkuFieldPrice

price of SKU

- `value` (double, required, default: 2000) — Price of SKU
- `unit` (string, required, default: USD) — Currency of Item

## Examples

**Request**

```json
{}
```

**Response**

```json
{
  "_id": "580e63fc8c9a982ac9b8b745",
  "name": "Cloak Of Invisibility Color: Obsidian Black",
  "slug": "cloak-of-invisibility-color-obsidian-black-7",
  "fields": {
    "slug": "post-body",
    "_archived": false,
    "_draft": false,
    "price": {
      "value": 2000,
      "unit": "USD"
    }
  },
  "price": {
    "unit": "USD",
    "value": 120000
  },
  "_archived": false,
  "_draft": false,
  "sku-values": {},
  "width": 56,
  "length": 0.3,
  "height": 72,
  "weight": 24,
  "main-image": {
    "fileId": "5e85161dabd9ea4072cf1414",
    "url": "https://dev-assets.website-files.com/5d93ba5e38c6b0160ab711d6/5e85161dabd9ea4072cf1414_5e8512181ae993035b15f315_external-content.duckduckgo.com.jpeg",
    "alt": null
  },
  "more-images": [
    {
      "fileId": "5e85161dabd9ea4072cf1414",
      "url": "https://dev-assets.website-files.com/5d93ba5e38c6b0160ab711d6/5e85161dabd9ea4072cf1414_5e8512181ae993035b15f315_external-content.duckduckgo.com.jpeg",
      "alt": null
    },
    {
      "fileId": "5e85161dabd9ea4072cf1414",
      "url": "https://dev-assets.website-files.com/5d93ba5e38c6b0160ab711d6/5e85161dabd9ea4072cf1414_5e8512181ae993035b15f315_external-content.duckduckgo.com.jpeg",
      "alt": null
    }
  ],
  "download-files": [
    {
      "id": "5ebb1676c3244c2c6ae18814",
      "name": "The modern web design process - Webflow Ebook.pdf",
      "url": "https://dropbox.com/files/modern-web-design-process.pdf"
    }
  ],
  "product": "5e8518516e147040726cc415"
}
```

**SDK Code**

```python Products & SKUs_update-sku_example
import requests

url = "https://api.webflow.com/sites/580e63e98c9a982ac9b8b741/products/580e63fc8c9a982ac9b8b745/skus/5e8518516e147040726cc415"

payload = {}
headers = {
    "Accept-Version": "1.0.0",
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.json())
```

```javascript Products & SKUs_update-sku_example
const url = 'https://api.webflow.com/sites/580e63e98c9a982ac9b8b741/products/580e63fc8c9a982ac9b8b745/skus/5e8518516e147040726cc415';
const options = {
  method: 'PATCH',
  headers: {
    'Accept-Version': '1.0.0',
    Authorization: 'Bearer <token>',
    'Content-Type': 'application/json'
  },
  body: '{}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Products & SKUs_update-sku_example
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.webflow.com/sites/580e63e98c9a982ac9b8b741/products/580e63fc8c9a982ac9b8b745/skus/5e8518516e147040726cc415"

	payload := strings.NewReader("{}")

	req, _ := http.NewRequest("PATCH", url, payload)

	req.Header.Add("Accept-Version", "1.0.0")
	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Products & SKUs_update-sku_example
require 'uri'
require 'net/http'

url = URI("https://api.webflow.com/sites/580e63e98c9a982ac9b8b741/products/580e63fc8c9a982ac9b8b745/skus/5e8518516e147040726cc415")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Patch.new(url)
request["Accept-Version"] = '1.0.0'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
```

```java Products & SKUs_update-sku_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.patch("https://api.webflow.com/sites/580e63e98c9a982ac9b8b741/products/580e63fc8c9a982ac9b8b745/skus/5e8518516e147040726cc415")
  .header("Accept-Version", "1.0.0")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{}")
  .asString();
```

```php Products & SKUs_update-sku_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PATCH', 'https://api.webflow.com/sites/580e63e98c9a982ac9b8b741/products/580e63fc8c9a982ac9b8b745/skus/5e8518516e147040726cc415', [
  'body' => '{}',
  'headers' => [
    'Accept-Version' => '1.0.0',
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp Products & SKUs_update-sku_example
using RestSharp;

var client = new RestClient("https://api.webflow.com/sites/580e63e98c9a982ac9b8b741/products/580e63fc8c9a982ac9b8b745/skus/5e8518516e147040726cc415");
var request = new RestRequest(Method.PATCH);
request.AddHeader("Accept-Version", "1.0.0");
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift Products & SKUs_update-sku_example
import Foundation

let headers = [
  "Accept-Version": "1.0.0",
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.webflow.com/sites/580e63e98c9a982ac9b8b741/products/580e63fc8c9a982ac9b8b745/skus/5e8518516e147040726cc415")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PATCH"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```